/*
						+--------------------------------+
                        |                                |
                        |     *** TX2 Compiller ***      |
                        |                                |
                        |          L.Polok 2002         |
                        |                                |
                        |             Main.c             |
                        |                                |
						+--------------------------------+
*/

#include <windows.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include "ImgLoader.h"
#include "FileList.h"
#include "IntTable.h"
#include "TxCompiller.h"

void Print_Logo()
{
	printf("                    ____Tx2_maker v1.0____ \n");
	printf("                      Supports .bmp .pcx   \n");
	printf("                      and true-color bmp    \n\n\n");
}

void main(int argc, char **argv)
{
	CTxCompiller *tx_comp;

	Print_Logo();
	// logo

	tx_comp = new CTxCompiller;
	// init

	if(argc <= 1) {
		tx_comp->Std_Err("Program must be executed with params !");
		// not enough params...
		return;
	}
	
	tx_comp->CreateTexture(argv[1], argc == 3);
	// create texture

	delete tx_comp;
	// uninit

	getchar();

}


 

