/*
						+--------------------------------+
                        |                                |
                        |     *** TX2 Compiller ***      |
                        |                                |
                        |        L. Polok  2002         |
                        |                                |
                        |         TxCompiller.h          |
                        |                                |
						+--------------------------------+
*/

class CTxCompiller  
{
public:
	//
	CTxCompiller();
	virtual ~CTxCompiller();
	//
	int CreateTexture(char *srcname, int compress);
	//
	void Std_Err(char *err);
	void Mem_Err();
	//
private:
	// variables
	//
	CImgLoader *ildr;
	CFileList  *imgs;
	CIntTable  *pal;
	//

	// functions
	//
	BMP *Create_MipMap(BMP *bmp);
	//
	int Find_NearestColor(int r, int g, int b);
	//
};
